﻿using GalaSoft.MvvmLight;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Input;

namespace WpfApp1_pizza.VM
{
    class ViewModel : ViewModelBase
    {
        public ObservableCollection<PizzaExtraVM> AllSizes { get; private set; }
        public PizzaVM OnePizza { get; private set; }

        public ViewModel()
        {
            OnePizza = new PizzaVM();

            AllSizes = new ObservableCollection<PizzaExtraVM>();
            AllSizes.Add(new PizzaExtraVM("25cm", 1500, false));
            AllSizes.Add(new PizzaExtraVM("32cm", 2500, false));
            AllSizes.Add(new PizzaExtraVM("42cm", 3500, false));
            OnePizza.Size = AllSizes[1];

            OnePizza.Toppings.Add(new PizzaExtraVM("Cheese", 300, true));
            OnePizza.Toppings.Add(new PizzaExtraVM("Beef", 600, false));
            OnePizza.Toppings.Add(new PizzaExtraVM("Chicken", 450, true));
            OnePizza.Toppings.Add(new PizzaExtraVM("Corn", 200, false));
        }
    }
}
