﻿using System;
using System.Collections.Generic;
using System.Globalization;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Data;

namespace WpfApp2_pizza.VM
{
    class ListToStringConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
        {
            IEnumerable<PizzaExtraVM> toppings = value as IEnumerable<PizzaExtraVM>;
            string output = string.Empty;
            if (toppings != null)
            {
                output = string.Join(", ", toppings.Select(x => $"{x.Name}: {x.Price}"));
            }
            return output;
        }
        public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
        {
            return Binding.DoNothing;
        }
    }

}
