﻿using GalaSoft.MvvmLight;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace WpfApp2_pizza.VM
{
    class PizzaExtraVM : ObservableObject
    {
        string name;
        int price;
        bool isWanted; // used only for topping

        public PizzaExtraVM(string newname=null, int newprice=0, bool newwanted=false)
        {
            name = newname; price = newprice; isWanted = newwanted;
        }

        public PizzaExtraVM(PizzaExtraVM other) : this(other.name, other.price, other.isWanted)
        {
        }

        public string Name
        {
            get { return name; }
            set { Set(ref name, value); }
        }
        public int Price
        {
            get { return price; }
            set { Set(ref price, value); }
        }
        public bool IsWanted
        {
            get { return isWanted; }
            set { Set(ref isWanted, value); }
        }
    }
}
